OpenPhn docs
Referenceproviders

Verify and store Twilio credentials

Validates Twilio credentials by calling the Twilio API, encrypts them, and stores them. Returns all phone numbers on the account.

POST
/v1/providers/twilio/verify

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/v1/providers/twilio/verify" \  -H "Content-Type: application/json" \  -d '{    "account_sid": "string",    "auth_token": "string"  }'
{
  "status": "string",
  "account_name": "string",
  "phone_numbers": [
    {
      "number": "string",
      "friendly": "string"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}